Package ru.nilsoft.tm

# Class TMCommand.km_check_result

java.lang.Object
ru.nilsoft.tm.TMCommand.km_check_result

Enclosing class:
  `TMCommand`

public static final class TMCommand.km_check_result extends Object
Состояния битов в значении реквизита «результат проверки сведений о товаре» (тег 2106).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CHECKED`
  Код маркировки проверен ФН и (или) ОИСМ.
  `static final byte`
  `KKM_OFFLINE`
  Результат проверки КП КМ сформирован ККТ, работающей в автономном режиме.
  `static final byte`
  `OISM_CHECKED`
  Проверка статуса в ОИСМ выполнена.
  `static final byte`
  `PLAN_STATUS`
  От ОИСМ получены сведения, что планируемый статус товара корректен.
  `static final byte`
  `RESULT`
  Результат проверки КП КМ положительный (успешный).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `km_check_result()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHECKED

    public static final byte CHECKED
    Код маркировки проверен ФН и (или) ОИСМ.
    See Also:
      - Constant Field Values

  - ### RESULT

    public static final byte RESULT
    Результат проверки КП КМ положительный (успешный).
    See Also:
      - Constant Field Values

  - ### OISM_CHECKED

    public static final byte OISM_CHECKED
    Проверка статуса в ОИСМ выполнена.
    See Also:
      - Constant Field Values

  - ### PLAN_STATUS

    public static final byte PLAN_STATUS
    От ОИСМ получены сведения, что планируемый статус товара корректен.
    See Also:
      - Constant Field Values

  - ### KKM_OFFLINE

    public static final byte KKM_OFFLINE
    Результат проверки КП КМ сформирован ККТ, работающей в автономном режиме.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### km_check_result

    public km_check_result()